# keystone.credential.providers.core module

class keystone.credential.providers.core.Provider

  Bases: `object`

  Interface for credential providers that support encryption.

  abstractmethod decrypt(credential)

    Decrypt a credential.

    Parameters:

      credential (str) – credential to decrypt

    Returns:

      credential str as plaintext

    Raises:

      keystone.exception.CredentialEncryptionError

  abstractmethod encrypt(credential)

    Encrypt a credential.

    Parameters:

      credential (str) – credential to encrypt

    Returns:

      encrypted credential str

    Raises:

      keystone.exception.CredentialEncryptionError

this page last updated: 2026-08-17 12:45:24

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug